RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 This type is safe for multithreaded operations. System.ValueType System.Runtime.Serialization.ISerializable System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

The type is designed to be an integer whose size is platform-specific. That is, an instance of this type is expected to be 32-bits on 32-bit hardware and operating systems, and 64-bits on 64-bit hardware and operating systems.

The type is CLS-compliant, while the type is not. Only the type is used in the common language runtime. The type is provided mostly to maintain architectural symmetry with the type.

The type can be used by languages that support pointers, and as a common means of referring to data between languages that do and do not support pointers. objects can also be used to hold handles.

This type implements the interface.

A platform-specific type that is used to represent a pointer or a handle.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the structure using the specified 32-bit pointer or handle.

  A pointer or handle contained in a 32-bit unsigned integer.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  The current platform is a 32-bit platform and the value of the current instance is greater than .

  An exception is only thrown if the value of requires more bits than the current platform supports.

  Initializes a new instance of using the specified 64-bit pointer or handle.

  A pointer or handle contained in a 64-bit unsigned integer.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  To be added.

  Initializes a new instance of using the specified pointer to an unspecified type.

  A pointer to an unspecified type.
- Method
  4.0.0.0
  System.UIntPtr `` ``

  The method does not throw an exception if the result is too large to represent as a pointer on the specified platform. Instead, the addition operation is performed in an unchecked context.

  Languages that do not support operator overloading or custom operators can use this method to add an offset to the value of an unsigned pointer.

  Adds an offset to the value of an unsigned pointer.

  A new unsigned pointer that reflects the addition of to .

  The unsigned pointer to add the offset to. The offset to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method overrides .

  An object to compare with this instance or null.

  Returns a value indicating whether this instance is equal to a specified object.

  true if is an instance of and equals the value of this instance; otherwise, false.

  An object to compare with this instance or null. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  Returns the hash code for this instance.

  A 32-bit signed integer hash code.

  0
- Method
  4.0.0.0
  System.UIntPtr `` ``

  The method defines the addition operation for objects. It enables code such as the following.

  code reference: System.UIntPtr.op_Addition#1

  Languages that do not support custom operators can call the method instead.

  The addition operation does not throw an exception if the result is too large to represent as a pointer on the specified platform. Instead, it is performed in an unchecked context.

  Adds an offset to the value of an unsigned pointer.

  A new unsigned pointer that reflects the addition of to .

  The unsigned pointer to add the offset to. The offset to add.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. The second pointer or handle to compare.

  Determines whether two specified instances of are equal.

  true if equals ; otherwise, false.

  The first pointer or handle to compare. The second pointer or handle to compare. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UIntPtr `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UIntPtr `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void* `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.UIntPtr `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added. The second pointer or handle to compare.

  Determines whether two specified instances of are not equal.

  true if does not equal ; otherwise, false.

  The first pointer or handle to compare. The second pointer or handle to compare. 0
- Method
  4.0.0.0
  System.UIntPtr `` ``

  The method defines the subtraction operation for objects. It enables code such as the following.

  code reference: System.UIntPtr.op_Addition#2

  Languages that do not support custom operators can call the method instead.

  The subtraction operation does not throw an exception if the result is too small to represent as a pointer on the specified platform. Instead, it is performed in an unchecked context.

  Subtracts an offset from the value of an unsigned pointer.

  A new unsigned pointer that reflects the subtraction of from .

  The unsigned pointer to subtract the offset from. The offset to subtract.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 4

  A containing the number of bytes of a pointer or handle for the current implementation. The value of this property is equal to the number of bytes contained by the type in the current implementation.

  This property is read-only.

  For more information on the type, see Partition II of the CLI Specification.

  Gets the size of this instance.

  0
- Method
  4.0.0.0
  System.UIntPtr `` ``

  The method does not throw an exception if the result is too small to represent as a pointer on the specified platform. Instead, the subtraction operation is performed in an unchecked context.

  Languages that do not support operator overloading or custom operators can use this method to subtract an offset from the value of an unsigned pointer.

  Subtracts an offset from the value of an unsigned pointer.

  A new unsigned pointer that reflects the subtraction of from .

  The unsigned pointer to subtract the offset from. The offset to subtract.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method populates the parameter with the value of the current object.

  Populates a object with the data needed to serialize the current object.

  The object to populate with data. The destination for this serialization. (This parameter is not used; specify null.)
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void*

  A pointer to points to memory containing data of an unspecified type.

  This method is not CLS-compliant. For a CLS-compliant alternative use .

  Converts the value of this instance to a pointer to an unspecified type.

  A pointer to ; that is, a pointer to memory containing data of an unspecified type.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  If the value of the property for this instance is 4, then this method is equivalent to ; otherwise, this method is equivalent to .

  Converts the numeric value of this instance to its equivalent string representation.

  The string representation of the value of this instance.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt32 The current platform is not a 32-bit platform and the value of the current instance is greater than .

  An exception is only thrown if the value of requires more bits than the current platform supports.

  Converts the value of this instance to a 32-bit unsigned integer.

  A 32-bit unsigned integer equal to the value of this instance.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UInt64 To be added.

  Converts the value of this instance to a 64-bit unsigned integer.

  A 64-bit unsigned integer equal to the value of this instance.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.UIntPtr 0

  The value of this field is not equivalent to null. Use this field to efficiently determine whether an instance of has been set to a value other than zero.

  For example, assume the variable, uip, is an instance of . You can determine if it has been set by comparing it to the value returned by a constructor, for example: " if uip != new UIntPtr(0)... ". However, invoking a constructor to get an unintialized pointer is inefficient. It is better to code either " if uip != UIntPtr.Zero... ", or " if !UIntPtr.Zero.Equals(uip)... ".

  A read-only field that represents a pointer or handle that has been initialized to zero.

  0
0